#include "lmbf-gui.h"
#include <TApplication>
#include <tutil.h>
#include <X11/Xlib.h>
#include <QX11Info>
#include <elettracolors.h>

#define CVSVERSION "$Name:  $"


int main(int argc, char *argv[])
{
    char *argvdevices[4];
    argc=4;
    argvdevices[0]=strdup(argv[0]);
    QString wtitle;
    
    argvdevices[1]=strdup("lmbf/delay/l");
    argvdevices[2]=strdup("lmbf/rfampl/l");
    argvdevices[3]=strdup("lmbf/processor/l");
    wtitle = "LMBF (Z)";
    
    
    TApplication a( argc, argvdevices );
    a.setOrganizationName("Elettra");
    a.setApplicationName("lmbf-gui");
    QString version(CVSVERSION);
    a.setApplicationVersion(version);
    a.setProperty("author", "Claudio Scafuri");
    a.setProperty("mail", "claudio.scafuri@elettra.eu");
    a.setProperty("phone", "8009");
    a.setProperty("office", "T2 P1 28");
    a.setProperty("hwReferent", "-"); /* name of the referent that provides the device server */
    
    TUtil::instance()->setLoggingTarget(argv[0]);

    LmbfGui w;
    w.setWindowTitle(wtitle);
    if(w.property("epalette").isValid())
    	a.setPalette(EPalette(w.property("epalette").toString()));
    w.show();

    /* register to window manager */
    Display *disp = QX11Info::display();
    Window root_win = (Window) w.winId();
    XSetCommand(disp, root_win, argv, argc);

    return a.exec();
}
